automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, tests-init, updated. v1.11-


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, tests-init, updated. v1.11-427-g1e3fc90
Date: Tue, 07 Dec 2010 11:26:56 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=1e3fc905b227741b6e96f8d9d11584555a424c50

The branch, tests-init has been updated
       via  1e3fc905b227741b6e96f8d9d11584555a424c50 (commit)
       via  f0b5f34eb1dff040384df17daa92ae95c8464482 (commit)
      from  206f3bf19c4384591b50888bf0d4859ae985ca6b (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 1e3fc905b227741b6e96f8d9d11584555a424c50
Author: Stefano Lattarini <address@hidden>
Date:   Fri Nov 12 17:18:09 2010 +0100

    Tests required tools: also try `-v' option for GNU compilers.
    
    * tests/defs.in: In the loop on "$required" tools, for gcc
    and g++, also run "gcc -v" (resp. "g++ -v"), to get more
    information, and for consistency with gcj.

commit f0b5f34eb1dff040384df17daa92ae95c8464482
Author: Stefano Lattarini <address@hidden>
Date:   Fri Nov 12 17:12:05 2010 +0100

    Tests defs: avoid some useless subshells.
    
    * tests/defs: In the loop on "$required" tools: avoid subshells
    where not needed.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog  |   14 ++++++++++++++
 tests/defs |   35 +++++++++++++++++++++--------------
 2 files changed, 35 insertions(+), 14 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 7596418..b3f0e49 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,17 @@
+2010-11-12  Stefano Lattarini  <address@hidden>
+
+       Tests required tools: also try `-v' option for GNU compilers.
+       * tests/defs.in: In the loop on "$required" tools, for gcc
+       and g++, also run "gcc -v" (resp. "g++ -v"), to get more
+       information, and for consistency with gcj.
+
+2010-11-12  Stefano Lattarini  <address@hidden>
+           Ralf Wildenhues  <address@hidden>
+
+       Tests defs: avoid some useless subshells.
+       * tests/defs: In the loop on "$required" tools: avoid subshells
+       where not needed.
+
 2010-11-16  Peter Rosin  <address@hidden>
 
        Skip MSVC oriented tests if the shell is not capable.
diff --git a/tests/defs b/tests/defs
index 8f748b1..02f9ad0 100644
--- a/tests/defs
+++ b/tests/defs
@@ -149,18 +149,18 @@ do
       YACC='bison -y'
       export YACC
       echo "$me: running bison --version"
-      ( bison --version ) || exit 77
+      bison --version || exit 77
       ;;
     bzip2)
       # Do not use --version, bzip2 still tries to compress stdin.
       echo "$me: running bzip2 --help"
-      ( bzip2 --help ) || exit 77
+      bzip2 --help || exit 77
       ;;
     cl)
       CC=cl
       export CC
       echo "$me: running $CC -?"
-      ( $CC -? ) || exit 77
+      $CC -? || exit 77
       ;;
     etags)
       # Exuberant Ctags will create a TAGS file even
@@ -168,7 +168,7 @@ do
       # does not have such problem.)  Use -o /dev/null
       # to make sure we do not pollute the tests/ directory.
       echo "$me: running etags --version -o /dev/null"
-      ( etags --version -o /dev/null ) || exit 77
+      etags --version -o /dev/null || exit 77
       ;;
     GNUmake)
       # Use --version AND -v, because SGI Make doesn't fail on --version.
@@ -185,21 +185,25 @@ do
       CC=gcc
       export CC
       echo "$me: running $CC --version"
-      ( $CC --version ) || exit 77
+      $CC --version || exit 77
+      echo "$me: running $CC -v"
+      $CC -v || exit 77
       ;;
     gcj)
       GCJ=gcj
       export GCJ
       echo "$me: running $GCJ --version"
-      ( $GCJ --version ) || exit 77
+      $GCJ --version || exit 77
       echo "$me: running $GCJ -v"
-      ( $GCJ -v ) || exit 77
+      $GCJ -v || exit 77
       ;;
     g++)
       CXX=g++
       export CXX
       echo "$me: running $CXX --version"
-      ( $CXX --version ) || exit 77
+      $CXX --version || exit 77
+      echo "$me: running $CXX -v"
+      $CXX -v || exit 77
       ;;
     icc)
       CC=icc
@@ -209,16 +213,16 @@ do
       # it will try link *nothing* and complain it cannot find
       # main(); funny).  Use -help so it does not try linking anything.
       echo "$me: running $CC -V -help"
-      ( $CC -V -help ) || exit 77
+      $CC -V -help || exit 77
       ;;
     makedepend)
       echo "$me: running makedepend -f-"
-      ( makedepend -f- ) || exit 77
+      makedepend -f- || exit 77
       ;;
     makeinfo-html)
       # Make sure makeinfo understands --html.
       echo "$me: running makeinfo --html --version"
-      ( makeinfo --html --version ) || exit 77
+      makeinfo --html --version || exit 77
       ;;
     non-root)
       # Skip this test case if the user is root.
@@ -243,7 +247,7 @@ do
     python)
       # Python doesn't support --version, it has -V
       echo "$me: running python -V"
-      ( python -V ) || exit 77
+      python -V || exit 77
       ;;
     ro-dir)
       # Skip this test case if read-only directories aren't supported
@@ -275,7 +279,7 @@ do
       # the program on the runtest command-line. This requires
       # DejaGnu 1.4.3 or later.
       echo "$me: running runtest SOMEPROGRAM=someprogram --version"
-      (runtest SOMEPROGRAM=someprogram --version) || exit 77
+      runtest SOMEPROGRAM=someprogram --version || exit 77
       ;;
     tex)
       # No all versions of Tex support `--version', so we use
@@ -288,7 +292,7 @@ do
     texi2dvi-o)
       # Texi2dvi supports `-o' since Texinfo 4.1.
       echo "$me: running texi2dvi -o /dev/null --version"
-      ( texi2dvi -o /dev/null --version ) || exit 77
+      texi2dvi -o /dev/null --version || exit 77
       ;;
     xsi-shell)
       # Try some XSI features.
@@ -302,6 +306,9 @@ do
     *)
       # Generic case: the tool must support --version.
       echo "$me: running $tool --version"
+      # It is not likely but possible that $tool is a special builtin,
+      # in which case the shell is allowed to exit after an error.
+      # So, please leave the subshell here.
       ( $tool --version ) || exit 77
       ;;
   esac


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]